Core - Task # 58682

Story # 58777 (Accepted): Fixes/Tasks for impexp / distributions

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-05-09 Assigned To: Marc Bastian Heinrichs
Updated: 2014-06-03 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Impexp: use created Folder object for image adding

Description

A created folder could change the name by sanitizing, so the created one could differ from the requested name.

For adding the image the returned Folder object should be used.

To avoid the creation of sanitized ones a mapping is saved.

Associated revisions

Revision 44b18664 - 2014-06-03 23:00 - Marc Bastian Heinrichs

[BUGFIX] Use created folder object for adding images in impexp

A folder to be created could change the name by sanitizing. So
the name of the created folder could differ from the requested
name. For adding the image the returned folder object should be
used.

To avoid that sanitized ones should be created over and over again
a mapping is buffered.

Resolves: #58682

Releases: 6.2

Change-Id: 1a3443c36c6dda8531c8791c221d2a835b25b10b2
Reviewed-on: https:/review.typo3.org/29984

Reviewed-by: Bernd Niehues
Tested-by: Bernd Niehues
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2014-05-09 18:05 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29984
#2 - 2014-05-13 16:33 - Marc Bastian Heinrichs
- Parent task set to #58777

#3 - 2014-06-03 23:30 - Marc Bastian Heinrichs

- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:44b18664c9d65820eb4f5ab520585932ee387f5e.
